import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listVersion(query) {
  return request({
    url: '/ruleEngine/version/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getVersion(id) {
  return request({
    url: '/ruleEngine/version/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addVersion(data) {
  return request({
    url: '/ruleEngine/version',
    method: 'post',
    data: data
  })
}

// 获取数据区域列表
export function getDataRegionList(data) {
  return request({
    url: '/ruleEngine/version/GetDataRegionList',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称
export function updateVersion(data) {
  return request({
    url: '/ruleEngine/version',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delVersion(id) {
  return request({
    url: '/ruleEngine/version/' + id,
    method: 'delete'
  })
}
